> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stackone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Job Postings



## OpenAPI

````yaml get /unified/ats/job_postings
openapi: 3.1.0
info:
  title: ATS
  description: The documentation for the StackOne Unified API - ATS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.stackone.com
security: []
tags:
  - name: Application Changes
    description: >-
      Chronological record of changes made to the application (this will only
      track changes for specific properties of the Application model).
  - name: Application Notes
    description: Notes or comments on applications.
  - name: Application Stages
    description: Stages of the job application process
  - name: Applications
    description: Job applications submitted by candidates.
  - name: Assessments
    description: Candidate assessments or tests.
  - name: Background Checks
    description: Background screening checks.
  - name: Candidates
    description: People applying for jobs.
  - name: Custom Field Definitions
    description: Definitions for custom fields on ATS resources.
  - name: Departments
    description: Departments within an organization.
  - name: Documents
    description: Files and documents related to candidates or jobs.
  - name: Interviews
    description: Scheduled interviews with candidates.
  - name: Job Postings
    description: Public job advertisements.
  - name: Jobs
    description: Open job positions.
  - name: Lists
    description: Lists for organizing candidates or jobs.
  - name: Locations
    description: Job or office locations.
  - name: Notes
    description: General notes or comments.
  - name: Offers
    description: Job offers extended to candidates.
  - name: Orders
    description: Orders for background checks or assessments.
  - name: Packages
    description: Assessment or offer packages.
  - name: Rejected Reasons
    description: Reasons for candidate rejection.
  - name: Results
    description: Results of assessments or background checks.
  - name: Scheduled Interviews
    description: Planned interview sessions.
  - name: Scorecards
    description: Evaluation scorecards for candidates.
  - name: Users
    description: System users with access to the ATS.
paths:
  /unified/ats/job_postings:
    get:
      tags:
        - Job Postings
      summary: List Job Postings
      operationId: ats_list_job_postings
      parameters:
        - name: x-account-id
          in: header
          description: The account identifier
          required: true
          schema:
            type: string
        - name: raw
          required: false
          in: query
          description: >-
            Indicates that the raw request result should be returned in addition
            to the mapped result (default value is false)
          schema:
            nullable: true
            type: boolean
        - name: proxy
          required: false
          in: query
          description: >-
            Query parameters that can be used to pass through parameters to the
            underlying provider request by surrounding them with 'proxy' key
          style: deepObject
          explode: true
          schema:
            additionalProperties: true
            nullable: true
            type: object
        - name: fields
          required: false
          in: query
          description: >-
            The comma separated list of fields that will be returned in the
            response (if empty, all fields are returned)
          schema:
            nullable: true
            example: >-
              id,remote_id,title,locations,internal,status,job_id,remote_job_id,content,compensation,employment_type,employment_contract_type,external_url,external_apply_url,questionnaires,start_date,updated_at,created_at,unified_custom_fields
            type: string
        - name: filter
          required: false
          in: query
          description: ATS Job Postings Filter
          explode: true
          style: deepObject
          schema:
            properties:
              updated_after:
                description: >-
                  Use a string with a date to only select results updated after
                  that given date
                example: '2020-01-01T00:00:00.000Z'
                type: string
                format: date-time
                nullable: true
                additionalProperties: false
              created_after:
                description: >-
                  Use a string with a date to only select results created after
                  that given date
                example: '2020-01-01T00:00:00.000Z'
                type: string
                format: date-time
                nullable: true
                additionalProperties: false
            nullable: true
            type: object
        - name: page
          required: false
          in: query
          description: The page number of the results to fetch
          deprecated: true
          schema:
            type: string
            nullable: true
        - name: page_size
          required: false
          in: query
          description: The number of results per page (default value is 25)
          schema:
            type: string
            nullable: true
        - name: next
          required: false
          in: query
          description: The unified cursor
          schema:
            type: string
            nullable: true
        - name: updated_after
          required: false
          in: query
          description: >-
            Use a string with a date to only select results updated after that
            given date
          deprecated: true
          schema:
            format: date-time
            nullable: true
            example: '2020-01-01T00:00:00.000Z'
            type: string
        - name: sync_token
          required: false
          in: query
          description: The sync token to select the only updated results
          deprecated: true
          schema:
            type: string
            nullable: true
        - name: include
          required: false
          in: query
          description: >-
            The comma separated list of fields that will be included in the
            response
          schema:
            nullable: true
            example: questionnaires
            type: string
        - name: Prefer
          in: header
          required: false
          description: >-
            Set to "heartbeat" to enable keep-alive newline heartbeats during
            long-running requests. Response includes Preference-Applied:
            heartbeat header when honored. (RFC 7240)
          schema:
            type: string
            example: heartbeat
      responses:
        '200':
          description: The list of job postings was retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobPostingsPaginated'
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestResponse'
        '401':
          description: Unauthorized access.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
        '403':
          description: Forbidden.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenResponse'
        '404':
          description: Resource not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
        '408':
          description: The request has timed out.
          headers:
            Retry-After:
              description: A time in seconds after which the request can be retried.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestTimedOutResponse'
        '409':
          description: Conflict with current state.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConflictResponse'
        '412':
          description: >-
            Precondition failed: linked account belongs to a disabled
            integration.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PreconditionFailedResponse'
        '422':
          description: Validation error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableEntityResponse'
        '429':
          description: Too many requests.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsResponse'
        '500':
          description: Server error while executing the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
        '501':
          description: This functionality is not implemented.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotImplementedResponse'
        '502':
          description: Bad gateway error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadGatewayResponse'
      security:
        - basic: []
components:
  schemas:
    JobPostingsPaginated:
      type: object
      properties:
        next_page:
          type: string
          deprecated: true
          nullable: true
        next:
          type: string
          nullable: true
        data:
          type: array
          items:
            $ref: '#/components/schemas/JobPosting'
        raw:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/RawResponse'
      required:
        - data
    BadRequestResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 400
        message:
          type: string
          description: Error message
          example: Bad Request
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
        data:
          description: Error details
          nullable: true
          allOf:
            - $ref: '#/components/schemas/UnifiedError'
        provider_errors:
          description: List of provider-specific errors
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/ProviderError'
      required:
        - statusCode
        - message
        - timestamp
    UnauthorizedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 401
        message:
          type: string
          description: Error message
          example: Unauthorized
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    ForbiddenResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 403
        message:
          type: string
          description: Error message
          example: Forbidden resource
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    NotFoundResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 404
        message:
          type: string
          description: Error message
          example: Not Found
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    RequestTimedOutResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 408
        message:
          type: string
          description: Error message
          example: Request timed out
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    ConflictResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 409
        message:
          type: string
          description: Error message
          example: Conflict
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    PreconditionFailedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 412
        message:
          type: string
          description: Error message
          example: Precondition failed
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    UnprocessableEntityResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 422
        message:
          type: string
          description: Error message
          example: Unprocessable Entity
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    TooManyRequestsResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 429
        message:
          type: string
          description: Error message
          example: Too many requests
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    InternalServerErrorResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 500
        message:
          type: string
          description: Error message
          example: Internal server error
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    NotImplementedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 501
        message:
          type: string
          description: Error message
          example: Not Implemented
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    BadGatewayResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 502
        message:
          type: string
          description: Error message
          example: Bad Gateway
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    JobPosting:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        unified_custom_fields:
          type: object
          description: Custom Unified Fields configured in your StackOne project
          additionalProperties: true
          example:
            my_project_custom_field_1: REF-1236
            my_project_custom_field_2: some other value
          nullable: true
        title:
          type: string
          example: Software Engineer
          nullable: true
        locations:
          example:
            - id: '12345'
              name: New York
            - id: '67890'
              name: Remote
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/JobPostingLocation'
        internal:
          type: string
          enum:
            - 'true'
            - 'false'
            - unmapped_value
            - null
          example: 'true'
          x-speakeasy-unknown-values: allow
          nullable: true
        status:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/JobPostingStatusEnum'
        job_id:
          type: string
          example: job001
          nullable: true
        remote_job_id:
          type: string
          description: Provider's unique identifier of the job
          example: e3cb75bf-aa84-466e-a6c1-b8322b257a48
          nullable: true
        content:
          example:
            plain: This is a plain text description
            html: <p>This is an HTML description</p>
          nullable: true
          allOf:
            - $ref: '#/components/schemas/JobPostingContent'
        compensation:
          example:
            - title: Base Salary
              type: salary
              pay_period: month
              pay_frequency: yearly
              currency: USD
              value: '50000'
              min_value_range: '45000'
              max_value_range: '55000'
            - title: Bonus
              type: bonus
              pay_frequency: quarterly
              currency: USD
              value: 10%
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/JobPostingCompensation'
        employment_type:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/EmploymentTypeEnum'
        employment_contract_type:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/EmploymentContractTypeEnum'
        external_url:
          type: string
          example: https://www.example.com/job-posting/abcd1234
          nullable: true
        external_apply_url:
          type: string
          example: https://www.example.com/job-posting/abcd1234/apply
          nullable: true
        questionnaires:
          example:
            - id: about001
              name: About
              internal: 'false'
              questions:
                - id: question001
                  text: What is your name?
                  type: short_text
                  required: true
                  parent_question: null
                - id: question002
                  text: What are your hobbies?
                  type: long_text
                  required: false
                  parent_question: null
                - id: question003
                  text: What is your favourite animal?
                  type: single_select
                  required: true
                  multiple_choice_answers:
                    - id: '1'
                      text: Dog
                    - id: '2'
                      text: Cat
                    - id: '3'
                      text: Bird
                    - id: '4'
                      text: Other
                  parent_question: null
                - id: question004
                  text: Do you have previous work experience??
                  type: single_select
                  required: true
                  multiple_choice_answers:
                    - id: '1'
                      text: 'Yes'
                    - id: '2'
                      text: 'No'
                  parent_question: null
                - id: question005
                  text: What was the duration of your last employment?
                  type: single_select
                  required: true
                  multiple_choice_answers:
                    - id: '1'
                      text: Less than 1 year
                    - id: '2'
                      text: 1-2 years
                    - id: '2'
                      text: More than 2 year
                  parent_question:
                    id: question004
                    option_ids:
                      - '1'
                    condition_type: equals_to
            - id: experience001
              name: Experience
              internal: 'false'
              questions:
                - id: question004
                  text: Please upload your resume.
                  type: attachment
                  parent_question: null
                  required: true
                - id: question005
                  text: Select the programming languages you are proficient in.
                  type: multi_select
                  multiple_choice_answers:
                    - id: '1'
                      text: JavaScript
                    - id: '2'
                      text: Python
                    - id: '3'
                      text: Java
                  parent_question: null
                  required: true
                - id: question006
                  text: Are you willing to relocate?
                  type: boolean
                  parent_question: null
                - id: question007
                  text: How many years of experience do you have?
                  type: number
                  parent_question: null
                - id: question008
                  text: When did you start your most recent position?
                  type: date
                  parent_question: null
                - id: question009
                  text: Do you have Project Management Experience?
                  type: single_select
                  multiple_choice_answers:
                    - id: '1'
                      text: 'Yes'
                    - id: '2'
                      text: 'No'
                  parent_question: null
                  required: true
                - id: question010
                  text: How much Project Management experience do you have?
                  type: single_select
                  multiple_choice_answers:
                    - id: '1'
                      text: 1-3 years
                    - id: '2'
                      text: 3-5 years
                    - id: '3'
                      text: 5-10 years
                    - id: '4'
                      text: More than 10 years
                  parent_question:
                    id: question009
                    option_ids:
                      - '1'
                    condition_type: equals_to
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/JobPostingQuestionnaire'
        start_date:
          type: string
          description: The posting start date
          example: '2021-01-01T00:00:00.000Z'
          format: date-time
          nullable: true
        created_at:
          type: string
          description: Date of creation
          example: '2021-01-01T01:01:01.000Z'
          format: date-time
          nullable: true
        updated_at:
          type: string
          description: Date of last update
          example: '2021-01-01T01:01:01.000Z'
          format: date-time
          nullable: true
    RawResponse:
      type: object
      properties:
        method:
          type: string
        url:
          type: string
        body:
          oneOf:
            - type: string
            - type: object
            - type: array
              items:
                type: integer
                format: int32
                minimum: 0
                maximum: 255
          additionalProperties: true
          nullable: true
        response:
          oneOf:
            - type: object
              additionalProperties: true
            - type: array
              items: {}
            - type: string
          nullable: true
      required:
        - method
        - url
    UnifiedError:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 400
          nullable: true
        message:
          type: string
          description: Error message
          example: Bad Request
          nullable: true
        headers:
          type: object
          description: Response headers
          example:
            content-type: application/json
            x-request-id: 5678c28b211dace4e0a0f9171e6b88c5
          nullable: true
    ProviderError:
      type: object
      properties:
        status:
          type: number
          description: HTTP status code of the provider error
          example: 400
          nullable: true
        url:
          type: string
          description: URL that caused the error
          example: https://api.provider.com/v1/resource
          nullable: true
        raw:
          type: object
          description: Raw error response from the provider
          example:
            message: Invalid input parameters
          nullable: true
        headers:
          type: object
          description: Response headers
          example:
            content-type: application/json
            x-request-id: 5678c28b211dace4e0a0f9171e6b88c5
          nullable: true
    JobPostingLocation:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        name:
          type: string
          nullable: true
    JobPostingStatusEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - live
            - draft
            - pending
            - internal
            - rejected
            - closed
            - archived
            - unmapped_value
            - null
          description: The status of the job postings.
          example: live
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          description: The source value of the job postings status.
          example: Live
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    JobPostingContent:
      type: object
      properties:
        plain:
          type: string
          nullable: true
        html:
          type: string
          nullable: true
        sections:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/JobPostingContentSection'
    JobPostingCompensation:
      type: object
      properties:
        title:
          type: string
          nullable: true
        type:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/CompensationTypeEnum'
        pay_period:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/PayPeriodEnum'
        pay_frequency:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/PayFrequencyEnum'
        currency:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
        min_value_range:
          type: string
          nullable: true
        max_value_range:
          type: string
          nullable: true
    EmploymentTypeEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - contractor
            - intern
            - permanent
            - apprentice
            - freelance
            - terminated
            - temporary
            - seasonal
            - volunteer
            - probation
            - internal
            - external
            - expatriate
            - employer_of_record
            - casual
            - Programme
            - unmapped_value
            - null
          description: The type of the employment.
          example: permanent
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          description: The source value of the employment type.
          example: Permanent
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    EmploymentContractTypeEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - full_time
            - shifts
            - part_time
            - unmapped_value
            - null
          description: The employment contract type.
          example: full_time
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          description: The source value of the employment contract type.
          example: FullTime
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    JobPostingQuestionnaire:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        name:
          type: string
          nullable: true
        internal:
          oneOf:
            - type: boolean
            - type: string
              enum:
                - 'true'
                - 'false'
          nullable: true
        questions:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/Question'
    JobPostingContentSection:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        type:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/AssessmentTypeEnum'
        label:
          type: string
          example: Key Responsibilities
          nullable: true
        content:
          type: string
          example: This is a plain description
          nullable: true
    CompensationTypeEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - salary
            - hourly
            - commission
            - bonus
            - equity
            - other
            - unmapped_value
            - null
          description: The type of the compensation.
          example: salary
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          description: The source value of the compensation type.
          example: Salary
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    PayPeriodEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - hour
            - day
            - week
            - every_two_weeks
            - month
            - twice_a_month
            - every_two_months
            - quarter
            - every_six_months
            - year
            - one_off
            - none
            - unmapped_value
            - null
          description: The pay period of the job postings.
          example: hour
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          description: The source value of the pay period.
          example: Hour
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    PayFrequencyEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - hourly
            - weekly
            - bi_weekly
            - four_weekly
            - semi_monthly
            - monthly
            - bi_monthly
            - quarterly
            - semi_annually
            - yearly
            - thirteen_monthly
            - pro_rata
            - unmapped_value
            - half_yearly
            - daily
            - null
          description: The pay frequency of the job postings.
          example: hourly
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          description: The source value of the pay frequency.
          example: Hourly
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    Question:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        name:
          type: string
          nullable: true
        type:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/QuestionsTypeEnum'
        text:
          type: string
          nullable: true
        required:
          oneOf:
            - type: boolean
            - type: string
              enum:
                - 'true'
                - 'false'
          nullable: true
        multiple_choice_answers:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/QuestionMultipleChoiceAnswers'
        parent_question:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/ParentQuestion'
    AssessmentTypeEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - responsibilities
            - skills
            - benefits
            - company_overview
            - description
            - other
            - unmapped_value
            - null
          description: The type of the description.
          example: responsibilities
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          description: The source value of the description type.
          example: key_responsibilities
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    QuestionsTypeEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - short_text
            - long_text
            - attachment
            - multi_select
            - single_select
            - boolean
            - number
            - date
            - video
            - reference_check
            - url
            - unmapped_value
            - null
          description: The type of the questions.
          example: short_text
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          description: The source value of the questions type.
          example: ShortText
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    QuestionMultipleChoiceAnswers:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        text:
          type: string
          nullable: true
    ParentQuestion:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        option_ids:
          description: List of parent questions's option IDs
          example:
            - 123e4567-e89b-12d3-a456-426614174000
            - 523e1234-e89b-fdd2-a456-762545121101
          nullable: true
          type: array
          items:
            type: string
        remote_option_ids:
          description: Provider's list of parent questions's option IDs
          example:
            - 123e4567-e89b-12d3-a456-426614174000
            - 523e1234-e89b-fdd2-a456-762545121101
          nullable: true
          type: array
          items:
            type: string
        condition_type:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/ConditionTypeEnum'
    ConditionTypeEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - equals_to
            - contains
            - unmapped_value
            - null
          description: The type of the question's condition
          example: equals_to
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          description: The source value of the question's condition type
          example: EqualsTo
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
  securitySchemes:
    basic:
      type: http
      scheme: basic

````